#pragma once
#include<iostream>
using namespace std;
class Point {
public:
	Point();
	Point(double a);
	Point(double x1, double y1);
	double get_x() const;
	double get_y() const;
	void print_point() const;
	friend istream& operator >>(istream &in, Point &a);
	friend bool operator ==(const Point &a, const Point &b);
	friend ostream& operator <<(ostream &out, const Point &a);
	friend Point operator +(const Point &a, const Point &b);
	friend bool equal(const Point &a,const Point &b);
	friend Point add(const Point &a, const Point &b);
private:
	double x;
	double y;
};

